Cyberduck Mountain Duck CLI

#1746 closed enhancement (fixed)

Allow arbitrary input for bandwidth throttle

Reported by: puntloos Owned by: dkocher
Priority: normal Milestone: 3.4.2
Component: interface Version: 2.8.4
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.6

Description

So my uplink is 20Mbit/second. 1Mb/sec is slow(ish) Unlimited even manages to disconnect my gmail connection.

Why not just give us a little box where you can enter a number? Thanks!

(and I can't find a .cyberduckrc file or something, I wouldn't mind manually setting it just once)

Change History (9)

comment:1 Changed on Feb 5, 2008 at 3:53:50 PM by dkocher

  • Component changed from core to interface
  • Priority changed from normal to low
  • Summary changed from Better throttle control to Allow arbitrary input for bandwidth throttle

comment:2 Changed on Feb 2, 2009 at 6:54:13 PM by anonymous

  • Priority changed from low to normal

hows that on a low priority? seems like a easy and quite useful enhancement my speed is 16mbit I'd like to set a limit yo 15mbit so it don't slow down my other browsing as much .. 1mbit is just not a good alternative

comment:3 Changed on Nov 13, 2009 at 11:37:49 PM by dkocher

#3747 closed as duplicate.

comment:4 Changed on Nov 13, 2009 at 11:38:01 PM by dkocher

#2749 closed as duplicate.

comment:5 Changed on Nov 13, 2009 at 11:38:26 PM by dkocher

  • Milestone set to 3.5
  • Status changed from new to assigned

comment:6 Changed on Feb 21, 2010 at 10:24:58 PM by cleonello@…

Custom bandwidth, or at least more choices, is a very useful feature. To avoid hogging all the bandwidth on my internal network and slowing everyone else down, I have to set Cyberduck to 1MB/s. On a 10 MB network, this is too much throttling. Seems like 1 MB would be much too low on a gigabit ethernet netowork.

Note that FileZilla offers a custom input dialog for upload/download bandwidth.

comment:7 Changed on Mar 23, 2010 at 8:51:45 AM by yla

Close #4328 as duplicate

comment:8 Changed on Mar 23, 2010 at 2:54:54 PM by dkocher

  • Milestone set to 3.4.2
  • Resolution set to fixed
  • Status changed from assigned to closed

As of r5862 you can define the options available in the Preferences using a hidden preference. You must give a comma delimited string of values in bytes.

  • For downloads:
defaults write ch.sudo.cyberduck queue.download.bandwidth.options 102400,1073741824

  • For uploads:
defaults write ch.sudo.cyberduck queue.upload.bandwidth.options 102400,1073741824

comment:9 Changed on Apr 5, 2010 at 4:27:27 AM by dkocher

  • Platform set to Mac OS X 10.6

The option has been changed to the same for both downloads and uploads. Use

defaults write ch.sudo.cyberduck queue.bandwidth.options 102400,1073741824
Note: See TracTickets for help on using tickets.
swiss made software